|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QStyleOptionQ3ListView Class Reference

The QStyleOptionQ3ListView class is used to describe the parameters for drawing a Q3ListView. More...

    #include <QStyleOptionQ3ListView>

Part of the QtGui module.

Inherits QStyleOptionComplex.

- List of all members, including inherited members

### Properties

- itemMargin : const int
- items : const QList<QStyleOptionQ3ListViewItem>
- rootIsDecorated : const bool
- sortColumn : const int

- treeStepSize : const int
- viewportBGRole : const QPalette::ColorRole
- viewportPalette : const QPalette

- 2 properties inherited from QStyleOptionComplex
- 5 properties inherited from QStyleOption

### Public Functions

- QStyleOptionQ3ListView ()
- QStyleOptionQ3ListView ( const QStyleOptionQ3ListView & other )

- 2 public functions inherited from QStyleOption

## Detailed Description

The QStyleOptionQ3ListView class is used to describe the parameters for drawing a Q3ListView.

The class is used for drawing the compat Q3ListView. It is not recommended for use in new code.

## Property Documentation

### itemMargin : const int

This property holds the margin for items in the list view.

See also Q3ListView::itemMargin().

### items : const QList<QStyleOptionQ3ListViewItem>

This property holds a list of items in the Q3ListView.

This is a list of QStyleOptionQ3ListViewItems. The first item can be used for most of the calculation that are needed for drawing a list view. Any additional items are the children of this first item, which may be used for additional information.

See also QStyleOptionQ3ListViewItem.

### rootIsDecorated : const bool

This property holds whether root items are decorated.

See also Q3ListView::rootIsDecorated().

### sortColumn : const int

This property holds the sort column of the list view.

See also Q3ListView::sortColumn().

### treeStepSize : const int

This property holds the number of pixel to offset children items from their parents.

See also Q3ListView::treeStepSize().

### viewportBGRole : const QPalette::ColorRole

This property holds the background role of Q3ListView's viewport.

See also QWidget::backgroundRole().

### viewportPalette : const QPalette

This property holds the palette of 's viewport.

## Member Function Documentation

### QStyleOptionQ3ListView::QStyleOptionQ3ListView ()

Creates a QStyleOptionQ3ListView. The members variables are initialized to default values.

### QStyleOptionQ3ListView::QStyleOptionQ3ListView ( const QStyleOptionQ3ListView & other )